GET /messaging/v1/securityHeaders

Overview 

Get a list of the security headers applied to a business unit’s SAP-branded view and click domains.

JSON Parameters 

NameTypeDescription
dataarrayAn array of objects described in the data object.
requestIdstringA string formatted as a GUID.

The data Object 

NameTypeDescription
securityHeadersarrayAn array of objects described in the securityHeaders object.
pageTypestringThe string value is view or click.

The securityHeaders Object 

NameTypeDescription
idintegerThe security header id.
namestringThe security header name.

Usage 

Example Request 

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /messaging/v1/securityHeaders
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response 

1HTTP/1.1 200
2{
3  "data": [
4    {
5      "securityHeaders": [
6        { "id": 6, "name": "Cache-control" },
7        { "id": 3, "name": "X-Content-Type-Options" },
8        { "id": 5, "name": "Strict-Transport-Security" }
9      ],
10      "pageType": "view"
11    },
12    {
13      "securityHeaders": [
14        { "id": 6, "name": "Cache-control" },
15        { "id": 3, "name": "X-Content-Type-Options" }
16      ],
17      "pageType": "click"
18    }
19  ],
20  "requestId": "52b8733f-f0fd-4179-8cb9-f5a6a0f8b72e"
21}

Related Items